<?
/**
 * listV("s",2,5,"&") -> "s[2] & s[3] & s[4]"
 **/
function listV($name,$begin,$end,$sep=","){
	$t = array();

	for($i=$end-1;$i>=$begin;$i--){
		$t[$i] = $name . "[" . $i . "]";
	}

	return implode($sep,$t);
}

/**
 * Return true if you have already create the function $name
 **/
function isAlreadyCreated($name){
	static $functions=array();
	if(array_key_exists($name,$functions)){
		return true;
	}else{
		$functions[$name]=true;
		return false;
	}
}
?>
